Imagick::previousImage
Imagick::quantizeImage
Imagick
PHP Manual

# Imagick::profileImage

(PECL imagick 2.0.0)

Imagick::profileImage — Adds or removes a profile from an image

### Description

bool Imagick::profileImage ( string `$name` , string `$profile` )

Adds or removes a ICC, IPTC, or generic profile from an image. If the profile is NULL, it is removed from the image otherwise added. Use a name of '*' and a profile of NULL to remove all profiles from the image.

### Parameters

`name`

`profile`

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws ImagickException on error.

Imagick::previousImage
Imagick::quantizeImage
Imagick
PHP Manual